PHP, which is an initialism for PHP: Hypertext Preprocessor, is among the most famous general-purpose server-side coding languages that are available out there. Any site or web-based app created in PHP will run on a given server on the condition that a PHP module is installed, which makes the language really universal and it’s not very surprising that there are several million servers that support it and 100s of millions of PHP sites running on them. PHP is preferred over HTML thanks to the fact that it enables you to develop a responsive site with a vast number of features. A PHP-based community web portal, for example, will display unique content to each visitor irrespective of the fact that the page URL will stay unchanged. In comparison, HTML-based sites are static and the page content itself can be updated only manually. Like any other software, PHP has several versions and the version that was used whilst creating a certain website must be enabled on the server in order for the site to run flawlessly.
PHP 4 and PHP 5 Support in Shared Hosting
With our shared hosting, you will be able to select the PHP version that will be enabled for your hosting account, as different versions are enabled on our servers. With only one click, you will be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and whenever a new version is introduced in the future, we will include it in the Hepsia hosting Control Panel without removing the older versions. Thus, you will be able to host all the websites that you’ve developed through the years. In stark contrast with many other hosting suppliers, we won’t compel you to update such sites, because a script may be outdated, but this doesn’t automatically mean that it is insecure as you may have modified its code to plug security gaps. For the sake of your convenience, you will even be able to specify a different version of PHP for each single website that you host in your shared account.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
Even in case your websites were created with an older PHP version, you’ll be able to host them in a semi-dedicated server account from us, as we support multiple versions running simultaneously on our semi-dedicated servers and each one of them can be activated for your account with just one click of the mouse through our custom Hepsia hosting Control Panel. Apart from the latest PHP 5.5 and PHP 5.4, we also support 5.2, 5.3 and the older PHP 4. The latter has already been abandoned by the majority of hosting suppliers, but we deem that you shouldn’t be forced to modify a site that took several years to create, as older scripting language syntax does not always imply safety holes. On the contrary, an adequately maintained site using PHP 4 can be more secure than an incompetently maintained one using PHP 5. For your convenience’s sake, we’ll also offer you the opportunity to choose a different version for each single site within your account.